06/24/2012  Version 9.7.2 beta

WPanorama.exe (build 1405): 
  - Added a new feature allowing to find panoramas by entering a keyword. In order
    for it to work, you need to have an Internet connection, as it uses WPanorama
    website search engine. The only panoramas you will find with this feature are
    those which have been downloaded from WPanorama website.
    This feature also adds the possibility to directly go to the page of WPanorama
    website where you can download a panorama matching your request which is not
    present on your disk.
  - Added the "Internet connection" option. If it is disabled, all the features
    needing an Internet connection are hidden.
    
  - In the previous versions, some of WPanorama windows were not behaving correctly
    when Windows characters size was changed. This issue has been taken care of.
  - In the previous versions, when switching from windowed mode to full screen mode,
    the panorama was not properly positioned if it was scrolling vertically.
    is not the case anymore from this version.
  - When a panorama is loaded from the full screen mode, it is now always positioned
    at the beginning. In the previous versions, it was not properly positioned
    because the position memorized in the configuration file is meaningless since
    the display dimensions are different from those in the configuration file.
    This improper positioning was particularly bad for the slideshows, as it
    made the first slide appear out of sync.
  - After a panorama has been loaded from the full screen mode ("L" key), when
    returning to the windowed mode the window size is always correct and the
    panorama is properly positioned in the window, which was not always the case
    in the previous versions. 

WPanorama.scr (build 1215):
  - When the "Internet connection" option is disabled in WPanorama viewer, the
    "Web update" button on the Parameters Settings panel is not shown.
  - In the image list, when the mouse cursor is on the name of a panorama
    which has bin shortened in order to fit the window, the line is extended,
    showing the full filename.
  - When the mouse cursor is on the "Image list" button, the number of images
    in the list is displayed.
    
  - In the previous version, the "Show 360°" checkbox was not disabled when the
    title position was set to "None". This issue has been taken care of in this
    version.
  - When adding a panorame to the list from the main panel, the "Current image
    added to the list" message was displayed at the wrong location and was
    partially hidden. This issue has now been taken care of.
  
WPAInfo.exe (build 1168):
  - Now supports 2436 panoramas.
 ______________________________________________________

01/01/2012  Version 9.7.1

WPanorama.exe (build 1395):
  - In the panorama show, when the title (panorama description or filename) is
    displayed, an option allows an indicator to show if the panorama is not a 360°.
  - The ".wsx" file association (screensaver export) is now disabled by default.
  
  - When the screensaver was not installed or if its version number was different
    from the one of the viewer, there was some mixed-up display at the end of
    the Keyboard controls section and at the beginning of the Questions and
    answers section of the help. This problem no longer exists in this version.
  - The context help for "Exit and reset parameters" is now pointing to the
    correct help item. In the older versions, it was pointing to the previous
    help item which is for "Clear last pictures history".
  - In the panorama show of the previous versions, if the title display was
    selected, it was not possible to have some panoramas without title. It was
    supposed to be possible when giving a space character as a description, but
    it didn't work, as the space in the .wpa file was considered as an empty
    string which caused the filename to be displayed as a description. From
    this version, if a panorama without title is desired, it is possible to do
    it by putting a number sign ("#") as a description.
  - When attempting to load a panorama by double-clicking on its configuration
    file icon while a secondary window is open, either the panorama doesn't load
    or the secondary window closes.
    In the previous versions, WPanorama could behave in an abnormal manner
    after a new panorama was loaded while a secondary window was open.

WPanorama.scr (build 1208):
  - If there are more than 250 panoramas in the list, a progress bar is
    displayed in the Parameters setting panel when applying the changes
    ("Apply" button or "OK" button when the "Apply" button is enabled).
  - When the title (panorama description or filename) is displayed, an option
    allows an indicator to show if the panorama is not a 360°.
  - When adding images or loading lists, the new number of panoramas is
    displayed sooner.
    
  - In the previous versions, if the title display was selected, it was not
    possible to have some panoramas without title. It was supposed to be possible
    when giving a space character as a description, but it didn't work, as the
    space in the .wpa file was considered as an empty string which caused the
    filename to be displayed as a description. From this version, if a panorama
    without title is desired, it is possible to do it by putting a number sign
    ("#") as a description.
  
WPAInfo.exe (build 1158):
  - Now supports 2262 panoramas.
 ______________________________________________________

01/01/2011  Version 9.6.1

WPanorama.exe (build 1393):
  - The panorama shows, particularly those with a large number of panoramas,
    load much faster (up to 20 times) than in the previous versions.
    The same also applies to the the export of panorama lists to the
    screensaver.
  - It is now possible, if a copy of WPanorama.exe with another name has been
    made, to launch a panorama show with its own configuration data, providing
    a copy of the screensaver (WPanorama.scr) has been made with the same name
    as the copy of WPanorama.exe (for instance WP2.exe and WP2.scr). Note that
    the renamed viewer will be paired with the renamed screensaver.
  - Possibility to cancel the "Loading image, please wait..." display while
    loading panoramas.
    
  - In the previous versions, when loading a panorama whose position was not
    specified in the configuration file, it didn't go to the virtual screen
    center if primary monitor Top or Left was not equal to 0. This version
    corrects this issue.

WPanorama.scr (build 1206):
  - Added the "Bubbles" feature which allows to watch the scrolling panoramas
    of the screensaver through circular holes moving on a background made of
    a changing colors gradient.
  - The panorama lists are loaded and saved much faster (up to 20 times) than
    in the previous versions.
  - If a copy of the screensaver (WPanorama.scr) is made with another name,
    it will now have its own configuration data.
  - Possibility to cancel the "Loading image, please wait..." display while
    loading the first panorama.
    
  - Corrected a small bug in the control panel: when the logo configuration
    box was extended and the context help was activated, when clicking in the
    lower part of this box the help for the controls hidden by the box was
    displayed instead the one for the box. This problem has been fixed.

WPAInfo.exe (build 1156):
  - Now supports 1822 panoramas.
 ______________________________________________________

05/21/2010  Version 9.5.1

WPanorama.exe (build 1390):
  - It is now possible to enable the virtual screen individually for each
    mode or function (Viewer windowed, Viewer in full screen mode, 
    Panorama show and Screen saver).
  - In the "Image info" panel, the aspect ratio of the current panorama
    is displayed next to its dimensions.
  - Added some information in the help panel, as well as a new "Question/
    Answer" item.
  - Added a search function in the help panel.
  - Added keyboard navigation in the help panel.
    
  - In the previous versions, if the display mode for full screen was different
    from the default mode and the drag to resize feature was enabled, some 
    problems could occur (for instance the panorama was reloaded every time
    the window was moved and, in some cases, the panorama kept reloading after
    returning to windowed mode from full screen mode or after resizing the window).
    This version corrects the problem.

WPanorama.scr (build 1202):
  - Adapted to the possibility to individually enable the virtual screen.
  - Added a search function in the help of the configuration panel.
  - Added keyboard navigation in the help panel.
  - Added a new "Question/Answer" item in the help panel.
  - Changed the color of the links in the help panel (Navy blue became blue)
    in order to match the ones in WPanorama.exe.
  - The "Auto scroll off" checkbox is now called "Scroll auto off", in order
    to avoid a misunderstanding of its meaning and to match WPanorama.exe.
  
  - When the scroll orientation of a panorama was changed, the new value
    was saved in the panorama list only if another value was also changed.
    From this version, it is always saved.

WPAInfo.exe (build 1152):
  - Now supports 1530 panoramas.
 ______________________________________________________

01/01/2010  Version 9.4.2

WPanorama.exe (build 1382):
  - Added un option allowing to tell WPanorama not to load the last
    displayed panorama at startup ("Config. - Advanced options -
    Start with no panorama").
  - When WPanorama starts with no panorama, its parameters are set to
    their default values. In the previous versions, they were set to
    the same values as on the last time it was run.
  - The "Auto scroll off" menu item is now called "Scroll auto off", in order
    to avoid a misunderstanding of its meaning.
  - Replaced the "Swiss landscape.jpg" slideshow included with the program
    by "SwissLandscape1.jpg" which is larger.
    
  - From version 4.6.1, in some cases, when "Get height from image"
    or "Get width from image" was enabled in the "Set image dimensions"
    panel, the window dimensions and/or the scrolling orientation
    (horizontal/vertical) after restarting WPanorama were wrong if
    "Config. - Advanced options - Orientation" was set to "Auto".
    This has been taken care of in this version.
  - In the previous versions, if WPanorama was launched by double-clicking
    on a .wpa file or its icon and the filename didn't include a "_", the
    program displayed an error and terminated without unloading from memory,
    which made a subsequent run impossible, unless the task was killed from
    the task manager.
    From this version, under the same conditions WPanorama runs, but it loads
    the previously loaded panorama.
  - When WPanorama was launched by dragging the icon of a slide show or the one
    of its configuration file (.wpa) onto WPanorama icon or by double-clicking
    on the icon of the configuration file, the "Display - Fit to desktop"
    menu item and the matching toolbar button were not disabled as they should
    have. This version corrects this issue.
  - Added the "..." which were missing on some menu items.
    
WPanorama.scr (build 1196):
  - In the "Image list" panel, a double-click on an image name will now
    make that image the current one.
    
  - In the previous versions, some filenames in the image list panel were
    truncated at the end. It is not the case in this version anymore.
  - Some versions of Windows 64 bits don't manage WPanorama screensaver
    properly: they see it only if it is in the \Windows\System32\ folder
    (Windows 64 bits system folder has another name). From this version,
    WPanorama installs the screensaver in both the "official" system folder
    and the \Windows\System32\ folder.

WPAInfo.exe (build 1147):
  - Now supports 1289 panoramas.
 ______________________________________________________

07/11/2009  Version 9.4.1

WPanorama.exe (build 1378):
  - Added the possibility to display WPanorama window without border,
    which allows to capture multiple images or videos of the highest
    possible size. The "No borders" option can be found in the
    "Config. - Advanced options" pull down menu.
  - Unlike in the previous versions, it is now possible to load from
    WPanorama a panorama show containing only one panorama (it was
    already possible to do it by dragging the ".wsl" icon onto WPanorama
    or by double-clicking on this icon).
  - If the GPS coordinates for a panorama are obtained from both the wpa
    configuration file and the image file exif data, "(wpa + exif)" is
    displayed in the "Image info" panel instead of just "(wpa)". If the
    exif values are different from the wpa values, "exif" is displayed
    in red and moving the mouse over it will show the exif values. In
    this case, the wpa values are used to show the location on the map.
    
  - Added the "..." to the "Config. - Advanced options - Exif coordinates"
    menu item.
  - It is no more possible to launch panorama shows containing no panoramas
    (in the previous versions, this action resulted in the display of
    the screensaver current panorama).
  - In the previous versions, if a panorama show contained only one
    panorama, this panorama kept scrolling forever, even when the
    "Show - Panorama show options - Run in a loop" option was not checked.
    This issue has been corrected.
    
WPanorama.scr (build 1193):
  - When the screensaver doesn't find on the disk some of the panoramas
    of its list, it removes them from the list.
    In the previous versions, it did it without any warning and with no
    possibility of cancellation, which means that if, for instance, the
    panoramas were located on a temporarily non available external disk,
    the screensaver panorama list was subsequently empty, even after
    the disk had been made available again.
    From this version, when the screensaver is triggered or when launching
    its control panel, a warning is displayed if one or several panoramas
    are missing and it is possible to specify whether one wants to remove
    them from the list or to keep them.
    
  - The code has been modified in order for the panorama shows containing
    only one panorama to work properly.

WPAInfo.exe (build 1143):
  - Now supports 1067 panoramas.
 ______________________________________________________

03/08/2009  Version 9.3.2

WPanorama.exe (build 1372):
  - Added the possibility to configure the way WPanorama will manage
    the map display (map type, zoom, marker) when it uses the image
    file Exif data.
    It is also possible to make WPanorama ignore the Exif data.
    
  - Corrected a filesize display problem in the "Image info" panel:
    when the value was less than 1, the zero before the decimal point
    was not displayed.
    
WPanorama.scr (build 1189):
  - No change.

WPAInfo.exe (build 1138):
  - Now supports 962 panoramas.
______________________________________________________

01/01/2009  Version 9.3.1

WPanorama.exe (build 1370):
  - The accuracy of the data for the location on the map extracted from
    the EXIF data has been increased. It is now better than 0.01 sec
    while it was 1 sec in the previous version.
  - If they are available, the GPS coordinates are now displayed in
    the "Image info" panel.
  - Added an option allowing to ignore the EXIF coordinates if their
    values are exactly 0.
  - Added an option which, when enabled, keeps the image from scrolling
    if its aspect ration is the same as the one of the display window.
    This option also applies to the panorama show.
  - The "Auto scroll" checkbox is now called "Scroll".
  - In the panorama show, it is possible, thanks to the <C> or <Ctrl C>
    key or from the popup menu, to copy the picture file of the current
    panorama into a folder and under a name of your choice. It is also
    possible, thanks to the <Ctrl X> key, to move the file instead of
    copying it.
  - When attempting to load a panorama by dragging its configuration file
    icon onto WPanorama or its icon, if the image file doesn't exist a
    warning message is now displayed.
  - A new map (Terrain) is available when the location on the map is
    displayed.
    
  - In the previous versions, in some cases the "Fit to desktop" button
    was enabled while a panorama was loading, unlike all the others. This
    doesn't happen anymore.
    
WPanorama.scr (build 1188):
  - Added an option which, when enabled, keeps the image from scrolling
    if its aspect ration is the same as the one of the display.
  - The "Auto scroll" checkbox of the control panel is now called "Scroll".
  - Thanks to the <C> or <Ctrl C> key, it is possible, while the screensaver
    is running, to copy the picture file of the current panorama into a
    folder and under a name of your choice. It is also possible, thanks to
    the <Ctrl X> key, to move the file instead of copying it.
  - The "Space to change" checkbox is now called "Hot keys enabled", because
    it gives access to several controls.
    
  - In the previous versions, when the screensaver was launched after one
    or several panorama files included in its list had been renamed or
    removed from their folder, other panoramas were sometimes also missing
    from the list. This version corrects this problem.

WPAInfo.exe (build 1136):
  - Now supports 869 panoramas.
______________________________________________________

11/01/2008  Version 9.2.2

WPanorama.exe (build 1363):
  - It is now possible to display the "About" panel and the "Image info"
    panel when the "Complete image" window is displayed, thanks to the
    "A" and "N" keys.
  - If no map info is found in the configuration file (.wpa) or if the
    configuration file doesn't exist, WPanorama can display the location
    on the map if the coordinates are found in the EXIF data of the
    image file.
    
  - In the previous versions, if WPanorama was running when closing the
    session or at Windows shutdown, some error messages were displayed.
    It is not the case anymore.
  - In the previous versions, if Windows region parameters were set so
    that the decimal separator was not a ".", the "Location on the map"
    function showed a wrong location. This version corrects this issue.
    
WPanorama.scr (build 1184):
  - No change.

WPAInfo.exe (build 1130):
  - Now supports 848 panoramas.
______________________________________________________

10/09/2008  Version 9.2.1

WPanorama.exe (build 1359):
  - It is now possible, thanks to the <L> key or to a button, to load
    a panorama while in full screen mode. The <L> key also allows to
    load a panorama while in windowed mode.
  - Small improvements of the help.
  - Added a "Full screen" button to the toolbar, because of a problem
    which may occur with some graphic drivers not allowing to properly
    switch to full screen mode when clicking on the standard "Maximize"
    button.
  - The <Enter> hotkey now switches to full screen mode.
  - Added a confirmation dialog box when exporting a panorama list to the
    screensaver.

  - From version 8.4.1, the <Shift> key had two functions: keep aspect
    ratio while resizing the window and reverse the scrolling direction.
    Now, the <Ctrl> key has to be used to reverse the scrolling direction.
  - From version 8.2.1, it was no more possible to exit WPanorama with
    <Alt><F4>. Now, it is possible again.
  - The panorama is always displayed properly when switching from full
    screen mode to windowed mode, which was not the case in the previous
    versions when "Fit to desktop" was enabled.
  - Correction in the help. In the previous versions, if the screensaver
    was not installed there was some text mixup at one place.
    
  - Corrected a few errors in the "Version history" text (Thanks George!).
    
WPanorama.scr (build 1183):
  - The font size for the panorama title display now only depends on
    the displayed picture height. It is done this way in order to avoid
    too large a font to be selected when using a large screen or several
    screens, which was the case in the previous versions where the display
    width and height were taken into account.
    This improvement also applies to the panorama show.

WPAInfo.exe (build 1127):
  - Now supports 832 panoramas.
______________________________________________________

06/01/2008  Version 9.1.1

WPanorama.exe (build 1350):
  - When displaying the location on the map, the java script warnings
    which could sometimes appear are no longer displayed.
  - Added four new stretch filters to the existing three.
  - Added two "Question/Answer" items in the help.

  - In version 9.01, if none of the info (description, author's name,
    website or e-mail address) was specified and the "Location on the
    map enabled" option was checked, there was not enough space for
    the button. This has been corrected.
  - In the previous versions, the "Mirror image" feature didn't work
    properly for very large panoramas. This has been corrected by the
    use of a new version (1.8.3) of the G32 graphic library.
  - Corrected some spelling mistakes in the help panel.
  - Three items of the "Help - Questions" menu are supposed to 
    disappear when the screensaver is not installed. In the previous
    versions, the vanishing items were not the correct ones and some
    items were pointing to the wrong place in this case. This has
    now been corrected.
    
WPanorama.scr (build 1181):
  - Added four new stretch filters to the existing three.

  - In the previous versions, the "Mirror image" feature didn't work
    properly for very large panoramas. This has been corrected by the
    use of a new version (1.8.3) of the G32 graphic library.
  - Corrected some spelling mistakes in the help panel.

WPAInfo.exe (build 1121):
  - Now supports 751 panoramas.
______________________________________________________

04/20/2008  Version 9.0.1

WPanorama.exe (build 1347):
  - Added the possibility to view on the map the locations from where
    the panoramas were shot.
    In order for this feature to work, you must have an Internet
    connection and Microsoft Internet Explorer has to be installed on
    your computer.
    In order to display the panorama location, WPanorama uses Google Map,
    only available on the web. This why it has to establish an connection
    to the Internet. However, you don't have to worry about your privacy,
    as the only information WPanorama sends to the web is the map data
    (Latitude, Longitude, Map type, Zoom level and Marker).None of this
    information is logged on WPanorama website.
    =======================================================
    Since the panoramas downloaded from WPanorama website before
    April 2nd 2008 don't include their map information, it is necessary
    to update their data if you want to benefit from this new feature.
    In order to do this, you can simply run the "WPAInfo" program which
    is installed with WPanorama. There is a shortcut to this program in
    the WPanorama folder of the startup menu.
    If you want to add the map information to your own panoramas, please
    follow the instructions you will find in WPanorama help panel, under
    the "Image info" menu item and toolbar button.
    =======================================================
  - It is now possible to launch "WPAInfo" directly from the help panel.
    
  - In the previous versions, when the <P> key was pressed in the
    complete image display in order to toggle the position in image
    indicator frame, the menu items were not checked accordingly.
    This is now corrected.
  - Corrected an erratic mouse cursor behaviour in fullscreen mode: in some
    cases, the cursor was hidden when an info panel (Complete image, About,
    Image info or Location on the map) was displayed. It also didn't
    immediately disappear when the info panel was closed.
    
WPanorama.scr (build 1178):
  - No change.

WPAInfo.exe (build 1119):
  - Now supports 735 panoramas.
______________________________________________________

03/12/2008  Version 8.4.1

WPanorama.exe (build 1343):
  - When the panorama is displayed in full screen, if the control panel
    is not visible, it is possible, thanks to the <I> key, to display the
    increment.
  - In the panorama show, when the "Random" option is different from "Yes",
    it is possible, by pressing the <P> key, to show the number of the
    current panorama and the number of panoramas in the list .
  - In the panorama show, the time the increment value remains displayed
    has been brought from 1.5 to 3 seconds.
  - In order to ensure a better consistency between WPanorama various
    operating modes, the scrolling direction inversion is now done with
    the <Shift> key instead of the <I> key.
    
  - In the previous versions, the keyboard was sometimes not active before
    clicking in the panorama in the panorama show. This shouldn't happen
    anymore.
  - In the panorama show, when the displayed increment value disappeared,
    a black rectangle was still visible until the next frame was displayed.
    This malfunction, only visible for high timer values (in the slideshows
    for instance), doesn't exist anymore in this version.
  - When no panorama is loaded and the "Global sound" option is not enabled,
    the "Sound enabled" menu item is now greyed-out. It was not the case in
    the previous versions, even though it is not possible to play a sound
    in this case.
    
WPanorama.scr (build 1177):
  - When the "Random" option of the "Image list" panel is different from
    "Yes" it is now possible to to show the number of the current panorama
    and the number of panoramas in the list by pressing the <P> key.

WPAInfo.exe (build 1114):
  - Now supports 714 panoramas.
______________________________________________________

01/01/2008  Version 8.3.3

WPanorama.exe (build 1341):
  - The "Image info" panel now shows the size of the file and the image
    dimensions are shown with thousand separators if it applies.
  
WPanorama.scr (build 1175):
  - When some pictures are selected in the "Image list" panel, it is
    now possible to remove them from the list by pressing the <Del> key.
    It is also possible to add one or several pictures by pressing the
    <Ins> key.
  - In the "Image list" panel, it is now possible to see the number of the
    current image as a hint when the mouse is moved over the "Current img."
    button. When one or several images are selected, the number of the
    image which will become current after the button action is also
    displayed if it is different from the one of the current image.
  - In the "Image list" panel, the "Current img." button text is black if
    its action will change the current image and blue otherwise.
    If the button is clicked when there is no current image change, the
    shifted image list appears immediately. In the previous versions, it
    could take some time when there were many panoramas.

WPAInfo.exe (build 1112):
  - Now supports 689 panoramas.
______________________________________________________

09/30/2007  Version 8.3.2

WPanorama.exe (build 1339):

  - In version 8.3.1, the "Get width from image" and "Get height from
    image" resizing options didn't work properly. This has been fixed.
  - Corrected an error in the "Complete image" section of the help panel.
  - In the previous versions, when a invalid sound file was specified, the
    sound card was disabled and it was necessary tu use the "Config. -
    Advanced options - Sound card" menu item to re-enable it. Now, when
    a bad sound file is specified, an error message appears but the
    sound card status doesn't change.
  - In the previous versions, if the current sound file was missing,
    every time a panorama with an associated sound was loaded a double
    warning message was displayed, even if the sound was not enabled.
    Now the warning is displayed only once when WPanorama is attempting
    to play an unexisting sound file.
  - In the panorama show, if an invalid sound file was specified, an error
    message was displayed when loading the associated panorama, as well as
    for the next panoramas to which a sound file, even a valid one, was
    associated. Now, no message is displayed in this case, no sound is played
    with the panorama to which the invalid sound file is associated and the
    other panoramas work properly.
  - In the panorama show, when the display mode is set to random or sequential-
    random, it is not possible to go back to the previous panorama by pressing
    the <Backspace> key. In the previous versions, the "Previous panorama"
    menu item of the context menu was nevertheless displayed. It is not the
    case anymore from this version.
  
WPanorama.scr (build 1173):

  - In version 8.3.1, the "Export help" button was not disabled when the
    function was temporarily unavailable. This has been corrected.
  - Modified the program in order to implement the above-mentioned corrections
    of the panorama show feature.

WPAInfo.exe (build 1109):
  - Now supports 633 panoramas.
______________________________________________________

08/12/2007  Version 8.3.1

WPanorama.exe (build 1335):
  - It is now possible to disable the possibility to resize the displayed.
    image by dragging the edges or the corners of the window.
  - The "Direct display", "Sound Card" and "Position in image display"
    menu items are checked when the value of the option is different from
    "Off" or "None" and "Auto reverse" is checked when the auto reverse
    is currently enabled.
  - It is now possible to alter the default value for the "Full screen
    loading" option.
  - From this version, it is possible to export the whole contents of the
    help panel to a text file. This can be useful if you want to print the
    help or to perform some text search.
    
  - In the previous versions, if the "Full screen" button located on
    the top right corner of the window was clicked while a panorama was
    loading, the window became very small and the panorama was not visible
    anymore. From this version, the system buttons are disabled while a
    panorama is loading.
  - Correction in the help of a few texts which didn't exactly match the
    pull down menus.
  
WPanorama.scr (build 1170):
  - When loading or saving an image list, the filename of the last list
    loaded or saved is suggested as default. This name is cancelled
    on every access to the "Image list" panel and when several lists are
    simultaneously loaded.
  - From this version, it is possible to export the whole contents of the
    help panel to a text file.
    
  - It is no more possible to enter the name of a non existing list file
    in the "Load lists" dialog.

WPAInfo.exe (build 1106):
  - Now supports 597 panoramas.
______________________________________________________

07/01/2007  Version 8.2.1

If you want to have one or several of your panoramas posted on WPanorama
website, you can now do it on line thanks to a link at the bottom of the
homepage or by using the following URL: http://submit.wpanorama.com/

WPanorama.exe (build 1330):
  - Hot keys for changing the increment, stopping / resuming the
    panorama scrolling, inverting the scrolling direction,
    displaying the previous / next frame and going to the panorama
    first / last frame when the complete image window is displayed
    have been added.
  - The spacebar for complete image window quick moving have been
    replaced by the <F5> key.
  - Added to the help an acces to the "Submit a panorama" page of 
    the website.
  
  - In versions 8.1.1 and 8.1.2, the "Increment change" hotkeys
    ( + - * / ) didn't work. This malfunction has been fixed.
  - When the spacebar was pressed to stop / restart the panorama
    scrolling, the action was sometimes executed only when the
    key was released. It is not the case anymore.
  
WPanorama.scr (build 1166):
  - Added to the help an acces to the "Submit a panorama" page of 
    the website.

WPAInfo.exe (build 1103):
  - Now supports 550 panoramas.
______________________________________________________

06/14/2007  Version 8.1.2

WPanorama.exe (build 1327):
  - Corrected a few bugs (missing items) in the help panel.
  
WPanorama.scr (build 1165):
  - No change.

WPAInfo.exe (build 1100):
  - No change.
______________________________________________________

06/10/2007  Version 8.1.1

WPanorama.exe (build 1326):
  - The image list file variable specifying the title or logo display
    position for the panorama show is now called "TitleOrLogoPosition"
    instead of "TitleDisplay" and the values it takes are "None",
    "TopLeft", "TopCenter", etc... instead of 0, 1, 2, etc...
    The files generated for the previous versions of WPanorama are
    however compatible with the new one.
  - The parameters are now also saved in the registry when a new image
    is loaded and when the default values are changed. Therefore it is
    no more necessary to close WPanorama.exe after changing the default
    values before using the screensaver configuration which may need
    these values.
  - The <PgUp> / <PgDn> keys display the previous / next frame, the
    <Home> / <End> keys make the panorama go to the first / last frame
    and the <F1> key displays the help.
  - The filepath for the capture functions (Capture multiple images and
    Make movie) is displayed, if applicable, as a Windows predefined
    folder (for instance "<Documents>\WPanorama\Video.avi" instead of
    "C:\Users\John Doe\Documents\WPanorama\Video.avi").
  - In the "Show - Panorama show options - Logo" dialog box, the complete
    pathname for the logofile is now displayed as a hint on the filename
    field.
  
  - When the displayed picture width was less than 400 pixels, in some
    cases, when returning from full screen mode the areas between the
    picture edges and the window border didn't have the colored specified
    by "Background Color". This problem has been corrected.
  
WPanorama.scr (build 1164):
  - Adapted the management of the image list file for the panorama show
    according to the above-mentioned modification of WPanorama.exe.
  - When a panorama is loaded from the screensaver configuration panel
    or from the Image list panel, if it doesn't have a configuration
    file (.wpa), it uses the default values which may have been
    redefined in WPanorama.exe. In the previous versions, it used the
    factory default values.
  - The file path for the current panorama, as well as for the image
    list are displayed, if applicable, as Windows predefined folders
    (for instance "<Documents>\WPanorama\Pano.jpg" instead of
    "C:\Users\John Doe\Documents\WPanorama\Pano.jpg").

  - When the help was called from the screensaver configuration panel,
    it was partially hidden by the latter. It is not the case anymore.

WPAInfo.exe (build 1099):
  - Now supports 534 panoramas.
______________________________________________________

05/17/2007  Version 8.0.1

WPanorama is now installed in the "Program files" folder. In the file
system, this folder is called "Program files" for several languages of
Windows (English, French, etc) but it can be called differently for
others (for instance "Programme" for the German version). The previous
versions of WPanorama were always installed in a folder named "Program
files".
WPanorama data files used to be installed in that same "Program files",
but now they are installed in a "WPanorama" subfolder of your personal
folder ("My documents" or "Documents"). By default, WPanorama.exe and
the screensaver are looking for their data files in that folder.

This is why, before updating to a version 8 or newer of WPanorama from
a version 7 or older, it is strongly advised to uninstall the older
version. Once the new version has been installed, you can move your
images, as well as the ".wpa" configuration files, to the newly created
"Wpanorama" folder in your personal folder.
If you made some lists (".wsl" files), you should replace them by new
ones created from the screen saver or edit them and replace for each
picture the "Filename=C:\Program files\WPanorama\xxx.jpg" by "Filename=
<PersonalFolder>\WPanorama\xxx.jpg".

WPanorama.exe (build 1320):
  - WPanorama is now Windows Vista compliant, thanks to the installation
    of the data files in a subfolder of your personal folder, as well as
    to a change in the file associations management.
  - Made the "Capture multiple images" and "make movie" panels more
    user-friendly.
  - The "UpdateWPA.exe" program which allows to insert or update the
    panorama information in the configuration files is now called
    "WpaInfo.exe".
    
  - The default values "Get width from screen" and "Get Height from
    screen" were not properly saved in the previous versions. This
    has been corrected.
  - In the previous versions, the "Slide show" and "File associations"
    panels were resizable and could be maximized and minimized. It is
    not the case anymore.
  - In the previous versions, the "Configuration - Sound Player - Remove
    sound filename" menu item visibility status was sometimes wrong after
    a new panorama was loaded. It is no longer the case.
  - In this version of WPanorama, as well as in the previous ones, there
    may be a problem when creating AVI files: the files created under
    Windows Vista can not be displayed properly.
    The problem was a bug in Windows Vista, but it has recently been
    corrected by Microsoft. More about it on the forum
    http://forums.microsoft.com/MSDN/ShowPost.aspx?PostID=844438&SiteID=1
    If you have the problem, you should try updating your Windows Vista.
    
WPanorama.scr (build 1160):
  - The screen saver is now Windows Vista compliant, thanks to the
    installation of the data files in a subfolder of your personal folder.
    
  - The "Gradient setup" button was not re-enabled after the closing of
    the window it had opened. This has been corrected.

WPAInfo.exe (build 1094):
  - Supports 521 panoramas.
______________________________________________________

01/20/2007  Version 7.0.1

WPanorama.exe (build 1313):
  - The "Configuration - Auto reverse" and "Configuration - Display
    mode for full screen" menu items have been moved to the "Advanced
    options" submenu.
  - A new menu item, "Configuration - Slide show", has been added.
    It makes it much easier to set up a slide show by just having to
    specify the slide count or the slide aspect ratio.
  - When the slide show mode is enabled, when the image is resized by
    dragging the window edges the aspect ratio is preserved in every
    case (even if the <Shift> key is not pressed). Also, the "Fit to
    desktop" toolbar button and menu item are disabled while in slide
    show mode.
  - If one or several parameters are changed in the "Set image
    dimensions" panel, a warning message is displayed when confirming
    the changes if the slide show mode is enabled.
  - When going into full screen mode while the slide show mode is
    enabled, the image size is adjusted in order to keep the slide
    show working correctly, even if the screen aspect ratio is not the
    same as the one of the slides. This feature also works for the
    panorama show.
  - The function to export a show to the screen saver supports the
    image size adjustment for full screen mode.
  - When a diaporama picture is resized, some slides may overflow by
    a few pixels on the next one or the previous one. A new option
    allows to hide this unwanted effect.
    
  - From version 6.5.1, when the Display mode for full screen was not
    set to "Default", when returning from full screen mode the
    previous image dimensions were not always correctly restored. This
    has been corrected.
    
WPanorama.scr (build 1158):
  - It is now possible to properly display a slide show even when
    the slide aspect ratio is not the same as the one of the monitor.
  - The slide aspect ratio is displayed in the control panel when
    "Increment from screen size" is checked.
______________________________________________________

07/02/2006  Version 6.6.1

WPanorama.exe (build 1308):
  - In the complete image display panel, when the position indicator
    is visible, it can now also be seen when in the reversed part of
    the mirror image.
  - When the complete image display panel appears, it now does it at
    the last location it was. If it had been moved by dragging, it
    will appear at the standard location (top/left, center or
    bottom/right) which is the closest to its former location. If the
    state of the position indicator is changed with the "P" key, the
    new state will be used the next time the panel appears.
  - Improved the quality of the default logo for the panorama show.
  - It is now possible to display the "Complete image", "About" or
    "Image info" panels by using hotkeys. Unlike in previous versions,
    these panels can also be displayed in full screen mode.
    
  - In the previous versions, if the virtual screen was enabled and
    the primary monitor was not on the left/top, when applying the
    default parameters to the current panorama the window didn't go
    to the desktop center. This problem is now corrected.
  - Under the same conditions as described above, when the complete
    image display panel was visible, the spacebar could sometimes 
    only move it to the center. Now it can move it to all the standard
    locations.
    
WPanorama.scr (build 1155):
  - Improved the quality of the default logo.
______________________________________________________

05/01/2006  Version 6.5.3

WPanorama.exe (build 1304):
  - When one or several options have been modified in the panorama
    show options dialog boxes, in the image dimensions dialog box
    or in the virtual screen dialog box, a prompt for a confirmation
    is displayed when attempting to exit without saving the new
    parameters.
  - The panorama in the "About" panel can now scroll.
  - In the "About" panel, the link to the graphic library website
    has been removed.

  - From version 6.4.1, after WPanorama was started with the "Global
    sound" option enabled, the context help button was not working
    until the window was resized. This has been taken care of in this
    version.
  - From version 6.5.1, it was not possible to disable the "Logo auto
    size" option for the panorama show. This option is working now.
  - From version 6.5.1, the panorama was not displayed properly when
    the "Get height from image" option was enabled and the scrolling
    orientation was vertical. This problem doesn't occur anymore.
  - When the current panorama is discarded, the memory it was using
    is freed, which was not the case in the previous versions.
  - Corrected the tab order in the "Default values" panel.

    
WPanorama.scr (build 1153):
  - Optimized the virtual screen management code.
  - It is now possible to toggle the panorama scrolling in the "About"
    panel.
  - In the "About" panel, the link to the graphic library website
    has been removed.
______________________________________________________

04/03/2006  Version 6.5.2

WPanorama.exe (build 1300):
  - Added an information message in the "Virtual screen" dialog box.
  - Possibility to position the control panel on the right side in
    addition to the actual left side and center.
  - It is possible to tell WPanorama to ignore the taskbar if the
    virtual screen is enabled.
  - Added a graphic interface in the "Virtual screen" dialog box in
    order to make the settings easier.
  - Replaced the three "File associations" popup submenu items by 
    a more user friendly dialog box.
    
  - If "Open popups on primary monitor" is enabled in the "Virtual
    screen" dialog box, the height of the "Help" and "Version history"
    panels won't exceed the primary monitor height. 
  - In the previous version, if the "Display dialogs on primary
    monitor" option of the "Virtual screen" dialog box was changed
    and the box was closed without saving the changes, that option
    didn't return to its previous value. This doesn't happen
    anymore.
  - In the previous version, if the virtual screen was enabled and
    the primary monitor was not the first one (top left), the
    panorama ignored the top/left monitor(s). This has been fixed
    by adding the possibility to enter the coordinates of the top
    left corner of the primary monitor.
  - In the previous versions, if "Unload image for screen saver
    preview" was enabled, after a panorama show was started when
    WPanorama was not running the program didn't load the current
    panorama when it was started again. This problem doesn't occur
    anymore.
  - When the "Open popups in primary monitor" option is enabled,
    the title and the increment display in the panorama show, as
    well as the panorama loading message in full screen mode now
    appear in the center of the part of the image located in the
    primary monitor.

    
WPanorama.scr (build 1150):
  - In the previous version, if the virtual screen was enabled and
    the primary monitor was not the first one (top left), the
    panorama ignored the top/left monitor(s). This has been fixed.
  - When the "Open popups in primary monitor" option is enabled,
    the first panorama loading message now appears in the center
    of the part of the image located in the primary monitor.
______________________________________________________

03/11/2006  Version 6.5.1

WPanorama.exe (build 1294):
  - It is now possible to resize the window by dragging its edges
    or corners.
  - A right click on the gradient that appears when there is no
    image selected toggles the toolbar and control panel.
  - Added the support for multi-monitor systems.
  - All the dialog boxes are now moveable.
  - The "Help" and "Version history" panels are now centered on
    WPanorama and not on the desktop anymore.
  - The "Help - Questions" menu item has been split in two parts
    ("Questions" and "More questions") because there was too much
    text in it.
  - The popup dialogs open in the center of the visible part of the
    image instead of in the center of the image.
  - It is now possible to specify wether the control panel has to
    be centered or displayed on the left.
  - It is now possible to use hot keys to change the scroll increment,
    as well in the windowed mode as in the full screen mode.
  - The "Show - Panorama show options" pulldown menu has been made
    more user friendly by grouping some items which parameters are
    now editable from dialog boxes.
  - In the panorama show options it is now possible to specify the
    title color, as well as the shadow presence (in the previous
    versions, these values were shared with the screensaver).
  - In the panorama show, if the selected title color is dark, the
    shadow will be white and not black anymore.
    
  - While setting the capture parameters, the "Enable sound" toolbar
    button was re-enabled after the image dimensions had been
    changed. This no longer occurs.
  - The "Fit to screen" toolbar button was not always down when the
    function was enabled and not always up when it was not. This has
    been corrected.
  - It is no more possible to enter non numeric characters in numeric
    edition fields.
  - If the display width of a horizontal panorama was very small and
    the scroll orientation vas forced to vertical, the program could
    hang while reloading the panorama. The display width is now limited
    to a minimum of 25 pixels so that this problem can't occur anymore.
  - In the previous versions, if the default value for the scroll
    direction was "Left", when a panorama without a .wpa file was
    loaded or when applying the default parameters, the scroll direction
    button that was down was the wrong one. This problem has been fixed.
    
  
WPanorama.scr (build 1146):
  - Added the support for multi-monitor systems.
  - The "Help" panel is now centered on the "Screen saver parameters
    settings" panel and not on the desktop anymore.
  - Added the support for the specification of the title color and
    shadow presence in the panorama show from the viewer.
  - If the selected title color is dark, the shadow will be white
    and not black anymore.
______________________________________________________

02/11/2006  Version 6.4.1

WPanorama.exe (build 1277):
  - Help panel improvement: the help now scrolls while the vertical
    scrollbar is moved (not only when it is released) and the
    mouse wheel is taken into account.
  - The "Movie" menu has been renamed "Capture". New image in the
    "Capture - Capture multiple images (.bmp)" panel.
  - When capturing multiple images, the default increment is now
    the displayed image width (or height if the panorama scrolls
    vertically) and not the current scroll increment anymore.
  - When capturing multiple images, the capture direction is now
    always positive. It is not possible to change it anymore.
  - The standard movie formats are not present anymore in the
    image dimensions change panel of the multiple images capture.
  - During the panorama show, the logo is never displayed on a
    still image.
  - It is now possible to specify a distance between the edges of the
    screen and the logo in the panorama show. The X and Y distances
    can be entered in the .wsl file and can also be exported to
    the screen saver.
  - The specified logo filename can now be removed.
  - When exporting a panorama show to the screen saver, a default value
    of 0 is used for the position in image instead of the value formerly
    stored in the image list file.
  - The "Image info" panel now sets its width according to the size
    of the displayed info.
  - It is not now possible to specify image dimensions or default
    values for image dimensions larger than the display resolution.
  - When a panorama show is launched while WPanorama is not running,
    the "Global sound" option is disabled.
  - It is now possible to make WPanorama play a sound file by dragging
    the sound file icon onto WPanorama or its icon.
  - A menu item makes it now possible to remove the current sound
    filename.
  - The pictogram in the "Enable/disable sound" toolbar button is not
    the same when the global mode is enabled as when it isn't.
  - In the panorama show, a popup menu appears when clicking on the
    the right mouse button.
  - The left or right click on the mouse doesn't terminate the panorama
    show anymore. Now you have to double-click the left button.
  - It is now possible to change the scroll increment in the panorama
    show, either through the popup menu or by the use of hot keys.
  - The comments in the [Panorama show] section of the image list files
    are now preceded by a "-" instead of a ";".
    
  - When the feature to export a panorama show to the screen saver
    was used and there was a problem with the .wsl file, the error
    message didn't fit on the panel. It is not the case anymore.
  - It is not now possible to select a non existing file in the
    file selection dialog boxes.
  - When an image list had been created in Windows directory or in
    Windows System directory, it was sometimes not possible to export
    a panorama show to the screen saver if the files (.wsl and .wxs)
    had been copied from a computer equipped with another version of
    Windows. This problem has been fixed.
  
WPanorama.scr (build 1139):
  - Help panel improvement: the help now scrolls while the vertical
    scrollbar is moved (not only when it is released) and the
    mouse wheel is taken into account.
  - The logo is never displayed on a still image.
  - It is now possible to specify a distance between the edges of the
    screen and the logo.
  - The specified logo filename can now be removed.
  - In the image list, the number of selected images is now displayed.
  - The position in image is no longer stored in the image list files.
  - Added the support for the popup menu and the scroll increment change
    in the panorama show.
  
  - It is not now possible to select a non existing file in the
    file selection dialog boxes.
  - In version 6.3.1, when "Auto image change" was enabled, the
    change interval was in minutes or seconds and "Random" was different
    from "Seq-rnd", the panoramas always started scrolling from the
    same position. Now they start from the position there were the last
    time they stopped.
  - When creating an image list file, Windows directory or Windows
    system directory are now properly identified in order to allow using
    the files from a computer equiped with another version of Windows.
______________________________________________________

01/01/2006  Version 6.3.1

WPanorama.exe (build 1265):
  - In the panorama show, a logo can be displayed instead of the title.
    It can be either the WPanorama logo or your own.
  - The icons of the .wpa and .wsl files are now different from the one
    of WPanorama.
  - Added the support to export a panorama show to the screen saver.
    
  - In the previous versions, depending on the settings of the screen
    saver, the first image of a panorama show was sometimes not shown
    in the correct screen resolution. This problem has been fixed.
  - In the previous versions (from 5.1.1), there were some errors in
    the help panel if the screen saver was not installed. This no
    longer occurs.
  
WPanorama.scr (build 1125):
  - A logo can be displayed instead of the title when the screen saver
    is running. It can be either the WPanorama logo or your own.
  - If the image list is large and any configuration parameter  had been
    changed, the control panel could take a long time to close or to
    give back the control after the "Apply" button was clicked. From
    this version, this delay only occurs if the list has been altered.
  - When writing a image list file, its [Panorama show] parameters are
    preserved, which was not the case in the previous versions.
  - It is now possible to export a panorama show to the screen saver
    just by double-clicking on an icon.
  - Creation of an extra file when saving an image list in order to
    allow for its direct export to the screen saver without going through
    the control panel.
  - The panorama in the "About" panel is now scrolling.
  - Now it is possible to save the the current screen saver settings as
    panorama show parameters in the image list files.
  - The screen saver icon has changed.
    
  - If the image list was large, the screen saver  was giving back the
    control only after a pretty long time. In addition to this, if the
    user interrupted this delay by pressing <Ctrl><Alt><Del>, numerous
    images vanished from the list.
    The delay no longer occurs and the images don't vanish anymore.
_____________________________________________________

08/27/2005  Version 6.2.1

WPanorama.exe (build 1256):
  - Added a parameter in the Panorama show options that allows to
    specify a display duration for a panorama for which the "Auto scroll"
    has been disabled. This allows to display the title of a show in a
    still image.
  - It is now possible to specify the parameters for a panorama show
    in the image list file.
  - The filename of the imagelist is not displayed anymore at the begining
    of the panorama show if the "Title display" option is set to "None".

  - In the previous versions, if the first panorama of a panorama show was
    still (Auto scroll not checked), the part of the image occupying the
    taskbar location was sometimes missing when the show was launched by
    double-clicking on the list file icon. This no longer occurs.
  - In the previous versions, if the panorama show was launched by double-
    clicking on the list file icon, the keyboard was sometimes not responding
    in the show. This has been fixed.
  
WPanorama.scr (build 1115):
  - It is now possible to specify a panorama change interval comprised
    between 1 and 59 seconds, in addition to the existing interval
    comprised between 1 and 60 minutes.
  - Added the support for the "Still image display duration" and
    "Parameters in image list file" features of the viewer panorama show.
______________________________________________________

06/25/2005  Version 6.1.1

WPanorama.exe (build 1252):
  - If a sound file is not found in the directory specified in the
    configuration file, WPanorama will also look for it in the same
    directory as the image and the configuration file. This way, if
    you distribute a panorama along with its configuration file and
    a sound file, the three files can be copied together in any
    directory of the target computer and the sound will play,
    regardless of the sound file directory specified in the
    configuration file.
  - Added a function that allows to reset the display parameters of
    the current panorama to their default values.
  - It is now possible to make the panorama show load the panoramas
    in a random order.
    
  - When a panorama is loaded by a double-click on the icon of its
    configuration file, if the image info panel is displayed it
    disappears (in the previous version, it remained displayed with
    the info of the previous panorama).
  
WPanorama.scr (build 1110):
  - A new option allows to tell the screen saver not to terminate
    when the mouse is moved.
  - Added the support for the "Random" option of the panorama show
    of the viewer.
    
  - In the previous versions, it was possible to enter erroneous
    values for the title display (location and size). This has been
    corrected.
_________________________________________________________________

04/03/2005  Version 6.0.1

WPanorama.exe (build 1249):
  - It is now posssible to associate music with the panoramas. The
    supported sound files are ".mid", ".wav" and ".mp3". The "About"
    toolbar button has been removed to make room for the new "Sound
    enabled" button.
    The sound feature also works with the panorama show.
  - When a panorama is loaded by dragging its icon to the WPanorama
    window, WPanorama is brought to the top of the other windows.
  - Switched the "Ok" and "Cancel" buttons in most of the panels
    in order to always have the "Ok" button on the left, as in all
    the Windows applications.
  - The "Export to screen saver" function doesn't exist anymore.
    Because of the list management of the screen saver it was confusing
    and it became useless when the screen saver was modified to take
    into account the configuration files (.wpa).
  - It is now possible to start WPanorama with a particular panorama
    by double-clicking on the icon of the configuration file (.wpa) of
    this panorama.
  - From this version, it is possible to start a panorama show by
    dragging the icon of its file (.wsl) onto WPanorama or its icon or
    by double-clicking on the icon of the .wsl file.
  - Possibility to disable/enable the file associations for .wpa and
    .wsl.

  - In the previous version, when the context help was displayed by
    clicking on a toolbar button that was down, the button didn't
    stay down. This has been corrected.
  - Corrected an error in the help panel: the key to press in the
    complete image window in order to display/hide the moving frame
    showing the position in the image is "P" and not "R".
  - From version 4.7.1, the scroll direction of a panorama for which
    the auto reverse option was disabled was sometimes changed if it
    was loaded after a panorama for which the auto reverse option
    was enabled. This version corrects this problem.
  - The default values for the increment and the timer set on the
    first launch of WPanorama were not the same as the factory settings
    of the "Default values" panel. This has been corrected.
  

WPanorama.scr (build 1107):
  - Added the support for the sound in the panorama show.
  - Switched the "Ok" and "Cancel" buttons in most of the panels
    in order to always have the "Ok" button on the left, as in all
    the Windows applications.

_________________________________________________________________

01/01/2005  Version 5.2.2

From this version, the package includes several panorama list files
that can be used for the screen saver and the "Panorama show" feature
of the viewer. One file (meant for the screen saver and installed in
Windows system directory) holds the list of all the panoramas of the 
site at the date of the latest software publication while ten other
files (meant for the viewer and installed in its directory) hold one
category of panoramas each. These list files assume that all the
images are located in the default WPanorama directory
(C:\Program files\WPanorama\).

WPanorama.exe (build 1240):
  - A new question/answer has been added in the help panel. It gives
    access to the "Old versions" and "Beta version" pages of the
    website.

  - In the previous version, if the help had been called from the
    main window and the "Default values" function was activated, it
    was not possible to move or close the help window until the
    "Default value" panel was closed. Now the help window closes
    when the user clicks on "Default values".
  - The "Help" button of the toolbar always stays down while the
    help window is displayed. In the previous versions it was not
    the case if the help window was called by the context help.
  

WPanorama.scr (build 1104):
  - A new question/answer has been added in the help panel. It gives
    access to the "Old versions" and "Beta version" pages of the
    website.
_________________________________________________________________

12/14/2004  Version 5.2.1

WPanorama.exe (build 1238):
  - An option allows the complete image window to show what part of the
    image is visible in the main window.
  - The complete windows can be quickly moved from top/left to center
    or bottom/right by pressing the spacebar.
  - If a key is pressed after the context help button has been clicked,
    the help for the keyboard controls will be displayed.
  - It is now possible to change the default values for the image
    parameters (values used when there is no configuration file).
  - It is now possible to select a font size for the title display of
    the panorama show.
    
  - In some cases the menu was displayed on two lines. This has been
    fixed in this version.
  - During the panorama show, in some cases the image didn't change if
    the "Increment from screen size" was enabled, if, due to its size,
    the image was displayed simultaneously several times or if the scroll
    direction was "left". This doesn't occur anymore.
  - When leaving the "Display modes setting" panel with <Alt><F4>, if
    some parameters had been modified no warning was displayed. It is
    not the case anymore in this version.
  
WPanorama.scr (build 1103):
  - It is now possible to set the orientation to Auto, Horizontal or
    Vertical (in the previous versions it was always set to Auto).

  - The "Current image" button is now disabled when all the controls are
    disabled. This was not the case in the previous version.
  - When the "Apply" or "Ok" command was run from the main parameters
    setting panel, some of the controls were not visually disabled. In
    addition to this, the "Discard/Restore" button was not re-enabled
    after the "Apply" command was run. These problems don't exist anymore
    in this version.
  - In some cases, when the auto image change was set to "times", the
    image didn't change if the "Increment from screen size" option was
    checked, if, due to its size, the image was displayed simultaneously
    several times or if the scroll direction was "left". This problem
    has been corrected.
_________________________________________________________________

11/20/2004  Version 5.1.1

WPanorama.exe (build 1233):
  - It is now possible to select an image list for the panorama
    show. The selected list is no more affected by the changes in
    the screen saver list.
  - The "Panorama show" items have been moved to a new "Show"
    pull-down menu and the "Display location" menu has been renamed
    "Display".
  - Added two items about the panorama show feature in the "Questions
    and answers" section of the help.
    
  - Right after clicking on some items in the pull down menus,
    after the menu items disappeared it took some time for the
    hidden part of the image to be displayed again. This no longer
    occurs.
  - In the previous version, when the panorama show was used to
    display slide shows, the first image was displayed twice (at
    the begining and at the end). In addition to this, the last picture
    of each slideshow was sometimes not displayed long enough. This has
    been fixed.
  - In the panorama show, sometimes the program couldn't switch to the
    next image. This has been corrected.
  - In the "Panorama show options", when a value of more than 60 was
    entered for the "Global increment value", it was changed to 10000.
    This no longer occurs.
  - In the previous versions, when the image dimensions were changed
    from the "Capture multiple images" or the "Make AVI file(s)" panel,
    some of the toolbar buttons were re-enabled by mistake. This has
    been fixed in this version.
  
WPanorama.scr (build 1100):
  - A progress bar is now visible while the image list is being
    saved and restored.
  - When loading one or several image lists, a warning is displayed,
    asking for a confirmation before overwriting the current list.
  - Modified the image list management in order to take into account
    the list selected in WPanorama.exe.
  - In the previous versions, the default directory for loading and
    saving image lists was Windows system directory. Now it is the
    directory from where the last list was loaded or to where the last
    list was saved.
  - In the "Image list" panel, the "Unselect img" button has been replaced
    by a "Current image" button. This button makes the first of the
    selected images the current one. It also unselects all the selected
    images.
  - The "Ok" button doesn't change the current image in the list anymore.
  - When the image list is displayed, the current image is always visible
    in the window.
    
  - In the previous versions, when the Auto image change was set to a
    certain number of times, the slide shows displayed the first 
    image twice (at the begining and at the end). In addition to this,
    the last picture of each slideshow was sometimes not displayed
    long enough. It is not the case anymore.
  - Under the same conditions, sometimes the program couldn't switch
    to the next image. This has been corrected.
_________________________________________________________________

09/25/2004  Version 5.0.1

WPanorama.exe (build 1228):
  - Added an option that unloads the current image when the screen
    saver preview is launched in order not to use too much memory.
  - Added the "Panorama show" function that allows to watch all
    the images of the screen saver list.
  - When the "orientation" option is set to "Auto", the current
    orientation is set according to the actual image dimensions
    while in previous versions it was only according to the full
    screen mode image dimensions.
  - Pictograms are now displayed next to the 360° coefficient
    indicator in the "Image info" panel.
  - Added the possibility to display the whole current image.
  - The two buttons "Discard image" and "Exit" have been removed
    from the toolbar in order to make room for two other buttons
    "Complete image" and "Panorama show".
    
  - Some dialogs were always in French, whatever the selected
    language was. This version corrects this problem.
  - In the previous versions, when clicking "Auto" for the
    "Configuration - Auto reverse" option for a non 360° panorama
    while the mirror image was enabled, the auto reverse was activated.
    It is not the case anymore.
  - In the previous versions, after the font size was changed in the
    advanced options of Windows display settings, some of WPanorama
    panels were not displayed correctly and some controls were not
    accessible anymore. This problem has been taken care of in this
    version.
    
WPanorama.scr (build 1096):
  - An option that can be selected when "Auto image change" is
    enabled allows to specify that when the screen saver is running
    an action on the spacebar loads the next image in the list.
  - It is now possible to specify how many times the panorama will
    scroll by its full length before the next one is loaded.
  - It is now possible to change the timer or the increment value in
    global mode when the auto scroll is disabled.
  - Added support for the "Panorama show" function of WPanorama.exe.
  - When the "Add mirror image" option is changed, if the "Reverse"
    option is not set to "Auto" it will switch to "Off" if "Add
    mirror image" is checked, to "On" otherwise.
  - In the "Parameters settings" panel, the controls are now visually
    disabled while the screen saver saves the parameters after the
    "Ok" or "Apply" button has been clicked.
  
  - In the previous versions, if the auto image change was enabled
    with a time interval different from zero and there was only one
    image in the list, it was re-loaded every time the interval
    was elapsed.
  - In the previous versions, when the display mode was set to a
    value different from "Default", the selected mode was not always
    activated when the screen saver was triggered. This problem no
    longer exists.
_________________________________________________________________

03/27/2004  Version 4.7.1

WPanorama.exe (build 1220):
  - WPanorama can now detect if the image is a 360° panorama and
    automatically set the "Auto reverse" accordingly. An option
    allows to see how well WPanorama could figure out if the image
    is a 360° panorama.
  - When loading an image with no configuration file, default
    parameters are used (in the previous version, the parameters
    of the previous image were used).
  - The toolbar buttons controling a state (Fit to desktop, Mirror
    image, Context help) stay down while the state is active and
    the ones launching a dialog (Load image, Set image dimensions,
    Help, About, Image info) stay down while the dialog is open.
 
WPanorama.scr (build 1084):
  - A new button allowing to remove all the images from the list.
    has been added to the list view.
  - Added a warning when removing images(s) from the list.
  - It is now possible, thanks to a multiple selection, to directly
    add one or several images to the list.
  - WPanorama can now detect if the image is a 360° panorama and
    automatically set the "Auto reverse" accordingly.
  - When selecting an image that is not in the list and with no
    configuration file, default parameters are used (in the previous
    version, the parameters of the previous image were used).
  
_________________________________________________________________

02/14/2004  Version 4.6.1

WPanorama.exe (build 1217):
  - It is now possible to disable the splash screen display at
    program startup.
  - If the screen saver is installed, it is possible to set its
    parameters and to launch the screen saver in preview mode.
    
  - The "Export to screen saver" function is supposed to make WPanorama
    your current screen saver. With Windows 95, 98 and ME, it was
    not the case with the previous versions of WPanorama, but this
    version corrects the problem.

WPanorama.scr (build 1080):
  - It is now possible to load several image lists simultaneously.
    This allows you to merge multiple shows.
  - It is now possible to specify global values for the timer and the
    increment. This allows to change at once the scrolling speed of
    all the images in the list.
  
  - Changed the tab order of the controls in the parameters settings
    panel.
  - Shortened the filenames display in the list because they
    sometimes exceeded the window width.
  - In the previous versions, if a screen saver manager was used, it
    was possible to simultaneously open several "Parameters settings"
    windows. The screen saver could also be triggered while one such
    window was open. It is not the case anymore.

_________________________________________________________________

01/19/2004  Version 4.5.1

WPanorama.exe (build 1211):
  - Minor improvement of the help text.

WPanorama.scr (build 1074):
  - Improvement of the parameters settings window: the radio buttons
    for the title display settings have been replaced by combo boxes,
    which makes it easier to understand.
  - When an image has been removed with the "Discard" button, it is
    now possible to restore it with only one click.
  - From this version, it is possible to preview the images when
    selecting them.
  - It is possible to name the file in which the list is saved. This
    allows to have several sets of images.
    
  - When the "4 corners" location has been selected for the title
    display, the first move of the title occurs 10 seconds after the
    image is displayed and not 10 seconds after the image started
    loading as was the case in the previous version.
  - In the previous versions, if some images of the list were not 
    found on the disk when the parameters settings was launched,
    some useless information remained in the registry. It is not
    the case anymore.
  
_________________________________________________________________

01/05/2004  Version 4.4.1

WPanorama.exe (build 1208):
  - It is now possible to toggle the auto scroll with the spacebar,
    to return to the beginning of the image with the <R> key and to
    invert the scroll direction with the <I> key.
  - In the "Configuration" pulldown menu, the commands are grouped
    into global and image-dependent sections separated by a
    separator. The help has been modified accordingly and the
    image-dependent fonctions now have their descriptions displayed
    in green.
  - The "Adapt Windows timer" option is now off by default. The help
    has been modified accordingly and there is a new question/answer
    about it.
  - The context help for the control panel is more detailed (now it
    points directly to the selected control and no more on the
    "Control panel" title).
  - A help section about the keyboard controls has been added, as
    well as a item in the "Help" menu allowing direct access to this
    section.
  
  - When the "Export to screen saver" function is used, the "Auto
    image change" option of the screen saver is disabled. In the
    previous versions, if this option was enabled, the exported image
    was not used by the screen saver because it used the current image
    in the list.
  - After the timer value has been changed with the numeric editor,
    the speed display is reset, which was not the case in the
    previous versions.
  - When no image is displayed (gradient displayed), no value is
    displayed for the wîdth (or height in the case of vertical
    scrolling) of the whole image. In the previous versions, "(0)"
    was displayed.
  - In the previous versions from 3.1.1, an error (Memory too
    fragmented or not enough memory or unknown image format) occured
    when loading some images if they were zoomed 3 times or more and
    if the stretch filter was set to "Linear". The cause of the
    problem was an incompatibility between WPanorama and the latest
    version of the G32 graphic library. This is why the library 1.5.1
    has been replaced by the 1.4.
    
WPanorama.scr (build 1067):
  - It is now possible to display the current image description while
    the screen saver is running. This display can appear at various
    locations of the screen, in five different sizes and in any
    color.
  - The context help has been added and the help panel updated.
  - When leaving the "Image list" or the "Gradient setup" panel with
    the "Cancel" (X) button after the options have been modified, a
    confirmation is now asked.
  - While an image is added to the list, as well as while saving or
    loading  the list, all the controls are visually disabled.
  - The exit of the parameters setting with the "OK" button is much
    faster than in the previous versions if no parameters have been
    modified.
  - When no image is selected, the global display mode is now forced.

  - In the previous versions from 3.1.1, an error occured when loading
    some images (they didn't load and the gradient was displayed or
    they were skipped) if they were zoomed 3 times or more and if the
    stretch filter was set to "Linear". The cause of the problem was
    an incompatibility between WPanorama and the latest version of the
    G32 graphic library. This is why the library 1.5.1 has been
    replaced by the 1.4.
  
_________________________________________________________________

12/10/2003  Version 4.3.3

WPanorama.exe (build 1203):
  - The "Image info" panel was sometimes taking the whole screen
    width. It is not the case anymore.
  - Corrected two minor errors in the help panel.
    
WPanorama.scr (build 1060):
  - From version 4.2.1, after the language was set to French, the
    screen saver crashed the first time it was triggered and the
    language returned to English.
    It is now possible to select and keep the French language.
  
_________________________________________________________________

12/07/2003  Version 4.3.2

WPanorama.exe (build 1201):
  - The "Export to screen saver" function now exports the full screen
    display size in addition to the other settings. It also exports
    a position in image of 0, which means that after the use of this
    function the screen saver will display the image from its origin.
  - The "Image info" panel is now dimensioned according to the size
    of the displayed info.
  - Improvement of the error management while creating AVI files.
    Now an error number is displayed in order to help tracking the
    eventual problem.
    
  - In the previous versions, after an error occured  while creating
    BMP or AVI files in the "Movie" functions, all the controls and
    buttons were disabled. This version corrects this problem.
  - In the previous versions, if an error (Memory too fragmented or
    not enough memory or unknown image format) occured while switching
    to full screen mode, after the message was confirmed the program
    stayed in full screen mode and the gradient was displayed on a
    portion of the screen. Now, after the message is confirmed the
    programs returns to windowed mode.
  
WPanorama.scr (build 1058):
  - While selecting an image, if the .wpa configuration file exists,
    its parameters are used, which the exception of the position in image
    which will be set to 0, which means that after this the screen saver
    will display the image from its origin.
    
  - From version 2.4.1, when some parameters were set to their original
    values after having been changed, the "Apply" button was not disabled.
    This problem doesn't exist anymore.
  - If the "Export to screen saver" function of WPanorama.exe has been
    used, the parameters of the exported image are copied on top of the
    ones of the matching image in the list if it is in the list, which
    was not the case in the previous versions.
_________________________________________________________________

11/01/2003  Version 4.3.1

WPanorama.exe (build 1198):
  - It is now possible to edit the scroll increment and timer with
    the keyboard. To do that, you just have to click on the value
    you wish to edit.
  - All the controls are now visually disabled when they are not
    available if a modal window is displayed.
  - The <Esc> key can now be used to switch from full screen mode to
    window mode when the control panel is not visible.
  - In addition to the right click in the picture, the <Enter>/<Esc>
    keys can be used to make the control panel appear/disappear
    while in full screen mode.
  - The dimensions of the original image are visible in the "image
    info" panel and the dimensions of the whole scaled image can be
    seen in the title bar in windowed mode and on top of the control
    panel in full screen mode.
  - In the dialog boxes, the <Enter> and <Esc> keys now have the same
    effect as the "Ok" and "Cancel" buttons.

  - In the previous versions, an error message was displayed when
    one tried to close the program while the image was in the process
    of being loaded. This message doesn't appear anymore.
  - In some cases, after changing the "Direct display" option from "Off"
    to "Auto", the direct display was not always correctly enabled
    the first time the timer passed the 0.2s value. This problem has
    been taken care of in this version.
  
WPanorama.scr (build 1055):
  - In the parameters settings, the <Enter> and <Esc> keys now have the
    same effect as the "Ok" and "Cancel" buttons. 
_________________________________________________________________

10/04/2003  Version 4.2.1

WPanorama.exe (build 1193):
  - The "Auto reverse" option is automatically de-activated every time
    the mirror image is added and activated every time the mirror image
    is removed.
    It is possible to disable this new function.
  - An indicator in the control panel shows when the mirror image is
    present.
  - It is now possible to set the image dimensions from the movie
    panel. There are also six preset image dimensions available.
    
  - In the previous versions, if you clicked on the "Full screen" icon
    while the image was loading, the control panel in full screen mode
    was disabled. This problem no longer occurs.
  - When the scrolling is vertical, the icon in the "return to start of
    picture" button is now also vertical.
  - When trying to load an image which format was not in accordance with
    the .bmp or .jpg standard, the "Memory too fragmented or not enough
    memory" message was displayed. The text "or unknown image format"
    has been added.
    In the previous versions, this message was followed by another error
    message and the program crashed. This problem doesn't occur anymore.
    
WPanorama.scr (build 1053):
  - When loading an image which format was not in accordance with the
    .bmp or .jpg standard or when there was not enough memory, an error
    message was displayed and the screen saver terminated.
    From this version, no error message is displayed and the program
    doesn't terminate anymore, but the moving gradient appears instead
    of the image.
  
  - Corrected a problem in the English help (the description of a command
    was either missing or in French).
_________________________________________________________________

08/30/2003  Version 4.1.2

WPanorama.exe (build 1189):
  - In the previous version, some e-mail managers returned an error
    when the user clicked on the e-mail address in the "Image info"
    panel. This has been corrected in this version.
  
WPanorama.scr (build 1051):
  - In the previous versions, when "Increment from screen size" 
    was enabled, the value displayed in the increment editor was the
    selected screen width. This is incorrect if the image scrolls
    vertically. From this version, "scr. size" is displayed in this
    case.
_________________________________________________________________

08/21/2003  Version 4.1.1

WPanorama.exe (build 1188):
  - Added the "Image info" item in the "Help" menu. It allows to
    show information about the image and its author (if it is
    available). There is also a button in the toolbar for this
    function.
  - The "Hide/show control panel" button is no longer in the toolbar.
  - An utility program that allows to add the image information to the
    configuration files (for the panoramas downloaded before August
    20th 2003) is installed in the same directory as WPanorama.exe.
  
  - In the previous versions, the "Loading image, please wait..."
    message didn't always disappear after the picture was loaded.
    This has been taken care of.
  - In the case of vertical scrolling, if the "Get width from image"
    option was activated and the value given for the width was equal
    to that of the original image, the window was sometimes not
    correctly dimensioned and the image could be clipped in its width.
    This version corrects this problem.
  - In the case of vertical scrolling, when "Increment from image size"
    is enabled, the value of the increment displayed in the control
    panel is the height of the displayed image. In the previous version,
    it was the width, which was incorrect.
    
WPanorama.scr (build 1050):
  - No change.
_________________________________________________________________

08/09/2003  Version 4.0.1

WPanorama.exe (build 1181):
  - The software can now scroll panoramas vertically.
    
  - When loading an image, if a non existing or invalid file is
    selected, an error message is displayed and no action is
    performed. In the previous versions, if a non existing file
    was selected the current image was unloaded and if an invalid
    file was selected the "Memory too fragmented or not enough
    memory" message was displayed and the program terminated.
  - In the previous versions, if WPanorama was launched after
    the last current image, displayed in full screeen mode, had been
    deleted, an problem occured when loading a new image: only the
    top of the image was visible. This doesn't happen in this
    version anymore.
  
WPanorama.scr (build 1049):
  - The screen saver can now scroll panoramas vertically.
    
  - From this version, it is no more possible to select a non
    existing or invalid file. Such an action results in the
    display of an error message.
_________________________________________________________________

07/27/2003  Version 3.1.1

WPanorama.exe (build 1178):
  - Replaced graphic library G32 version 1.4 by version 1.5.1.
  - It is now possible to use image files with ".jpe" extension.
  - The panorama no longer stops scrolling when the "About" panel
    is displayed.
  
  - In the previous versions, the AVI file generated by the movie
    function could be larger than 2 Gbytes. Since AVI 1.0 files
    can not be larger than 2 GBytes, it was unusable.
    In this version, if the AVI is too large, it is sliced into
    several files of 2 Gbytes or less.
  - While creating multiple BMP, if files with the specified root 
    name exist, they will all be deleted. In the previous versions,
    the files that were not overwritten stayed on the disk, which
    could be confusing.
  - In the previous versions, it was not possible to load image
    files with a ".jpeg" extension by using the drag & drop feature
    on WPanorama or its icon. It is now.
    
  
WPanorama.scr (build 1046):
  - Replaced graphic library G32 version 1.4 by version 1.5.1.
  - It is now possible to use image files with ".jpe" extension.
  - Added the possibility to save the image list in a file in order
    to restore it after another installation for instance.
_________________________________________________________________

07/06/2003  Version 3.0.2

WPanorama.exe (build 1174): 
  - The "Display position in image" field is one digit larger.
  
  - In the previous versions, when the "Save image parameters"
    function failed because the disk was full or read-only, an
    error message was displayed, but after the message was
    confirmed the panorama didn't resume scrolling and the
    "Saving image parameters" message was still displayed.
    This has been corrected in this version.
  - In the functions of the "Movie" menu, when selecting a name
    for the file(s) and a directory, if a CD or a full disk is
    chosen, the "Divide by zero" message is no more displayed as
    was the case in the previous version.
  
WPanorama.scr (build 1045):
  - No change.
_________________________________________________________________

05/17/2003  Version 3.0.1

WPanorama.exe (build 1173): 
  - From this version, it is possible to insert a scrolling panorama
    into an animation or a movie thanks to the new functions of
    multiple images capture or AVI file creation.
  - After changing language, the help window is reset, which means
    that if you click on "Help" you will be positioned at the top of
    the window.
    
  - The "Questions" function of the "Help" menu has been moved to
    the bottom of the menu because under some circumstances it
    was hiding some of the other menu items.

WPanorama.scr (build 1044):
  - In the previous version, if no image was selected and one
    activated the "Auto image change" option with a time interval
    greater than 0, the global display mode was not locked at True.
    This has been corrected.
_________________________________________________________________

04/12/2003  Version 2.6.1

WPanorama.exe (build 1164):
  - Added the "Global" option in the "Display mode for full screen"
    menu. When this option is checked, the specified mode is used
    for all the pictures.
  - Added in the help a question/answer, as well as a link to the
    panoramic pictures download page of the Web site.
  - In the previous versions, a large amount of memory was sometimes
    temporarily used when loading a new picture. From this version,
    less memory is used.
    
  - In version 2.5.2, a slight flicker was visible right after a
    new picture was loaded. This has been corrected.
    
WPanorama.scr (build 1042):
  - Added the possibility to automatically change the picture at
    a given time interval (between 1 and 60 minutes).
  - Added the "Global" option for the display mode. When this option
    is checked, the specified mode is used for all the pictures.
  - Added in the help a question/answer, as well as a link to the
    panoramic pictures download page of the Web site.
_________________________________________________________________

03/01/2003  Version 2.5.2

WPanorama.exe (build 1162):
  - The ends of the graph showing the visible part of the picture
    are now black when the auto-reverse feature is enabled.
    
  - In version 2.5.1, the manual image scroll in full screen mode
    when the control panel is not visible didn't work when the
    direct display was not enabled (timer value >= 200ms, "Auto
    scroll" disabled or "Direct display" advanced option set to
    "No"). This problem has been taken care of.
  - In the versions where it is possible to manually make the image
    scroll (2.3.1 and later), when one clicked on the image while
    the direct display was enabled and a the image partially covered
    by a window, WPanorama was brought to front but the area formerly
    covered by the window kept the background color until the image
    scrolled by an increment (as long as the mouse had not been
    moved or its button released). This malfunction doesn't exist
    anymore.
  - In the previous versions, when the direct display was switched
    on, the image was briefly replaced by a solid area of the
    background color. This doesn't occur anymore.
  
WPanorama.scr (build 1040):
  - No change.
_________________________________________________________________

02/08/2003  Version 2.5.1
First release after the Web site moved to its own Web hoster. The url
http://www.codexcel.com/sw/wpanorama should not be used anymore.
http://www.wpanorama.com is the one you should use now.
From now on, it is possible to download an update of the program
which doesn't include the sample images. This option is only available
when using the "Check Web for update" (WPanorama.exe) or "Web update"
(WPanorama.scr) fonction of the program.
You should use this option if you have a slow connection, the size
of the upgrade file being less than half the one of the full version
file.

WPanorama.exe (build 1160):
  - From this version, the progress bar under the display speed
    indicator has been replaced by a graph showing what part of
    the picture is visible.
  - It is now possible to manually make the image scroll in full
    screen mode when the control panel is not visible.
  - The "Visit www.wpanorama.com" and "Check Web for update" items
    of the "Help" menu now point to the new Web site.
  
  - In the previous versions, if the "Increment from image width"
    option was checked, when going from window mode to full screen
    mode the value of the increment displayed in the control panel
    was incorrect. This malfunction doesn't exist anymore in this
    version.
    
WPanorama.scr (build 1038):
  - The "Web update" button now points to the new Web site.
_________________________________________________________________

01/09/2003  Version 2.4.1

WPanorama.exe (build 1156):
  - In the previous versions, if the program was launched by dragging
    the icon of an image without configuration file on the WPanorama
    icon and the program had previously been terminated while in
    full screen mode, it started in window mode and displayed only
    a fraction of the picture. This problem doesn't occur anymore.
  - In this version, if the <Alt> <F4> keys are used to leave the
    image dimensions panel, the old parameters are correctly restored,
    which was not the case with the previous versions where the
    modified values were shown if the panel was displayed again.
  - In version 2.3.1, when the last menu item of "Help - Questions"
    was selected, nothing happened. This has been corrected now.
    
WPanorama.scr (build 1036):
  - Added the possibility to put the images into a list so that
    every time the screen saver is triggered another image is displayed.
    This function can also be disabled.
  - In the screen saver parameters settings, if the user clicks on
    the "Cancel" or the 'x' button while parameters have been changed
    and not memorized, a warning dialog box is displayed, giving the
    possibility to stay in the settings.
    
  - If the "Single/Double" option of the gradient settings had been
    modified, the old status was not restored when the modification
    was canceled. This version corrects this problem.
  - In this version, if the <Alt> <F4> keys are used to leave the
    gradient parameters setup panel, the old parameters are restored,
    which was not the case with the previous versions.
_________________________________________________________________

12/05/2002  Version 2.3.1
First release after the Web site got its own domaine name:
http://www.wpanorama.com

WPanorama.exe (build 1153):
  - From this version, it is possible to manually make the
    image scroll by dragging it with the left mouse button.
  - Added the possibility to clear the list of the last 10
    pictures displayed in the "Files" menu.
  - The menu item "Home page" changed name. It is now called
    "Visit www.wpanorama.com".
  - Changed the author's e-mail address in the "About" panel.
  
  - In the previous versions, in some rare cases the "Save
    image parameters" or the "Export to screen saver" functions
    took a long time to execute (the picture kept scrolling
    while the message was displayed). This doesn't occur
    anymore.
  - At program startup, if the "About" button or menu item was
    activated while the splash panel was still displayed, an error
    message popped up and the picture stopped scrolling. This
    version corrects this problem.
  - On some slower machines, when the current picture was small,
    the splash panel at startup was visible for only a fraction
    of a second. Now it shows for at least 3 seconds.
      
 WPanorama.scr (build 1030):
  - Changed the author's e-mail address in the "About" panel.
_________________________________________________________________

11/22/2002  Version 2.2.3

WPanorama.exe (build 1146):
  - If the program is configured to use the French language, the
    "Home page" and "Check Web for update" functions direct you
    to the site in French.
    
  - In the previous versions, if the "Get width from image"
    dimension option was checked and the control panel was hidden
    at program startup, the controls were not centered when the
    panel was made visible. It has been corrected in this version.
  
 WPanorama.scr (build 1028):
  - If the screen saver is configured to use the French language,
    the "Web update" function directs you to the site in French.
    
  - In the previous versions, the "No picture selected" message
    displayed on the gradient when no picture is selected sometimes
    disappeared on the top or on the left of the screen. This
    problem doesn't happen anymore.
_________________________________________________________________

11/16/2002  Version 2.2.2

WPanorama.exe (build 1144):
  - When no picture is loaded, a colored gradient and a "No picture
    selected" message are displayed, instead of a black window as
    in the previous versions.
  - The pictures "Shilthorn.jpg" and "Swiss landscape.jpg" included
    in the package now have their configuration files. This means
    that even if the pictures are loaded using the "Load image"
    function, the settings will be correct. A new installation of
    the program will now overwrite the memorized settings for these
    two pictures. It is however possible to restore the previous
    configurations if these two pictures are in the list of the
    last 10 pictures loaded.
    
  - In the previous versions, if the program had been terminated
    while in full screen mode or if the "Full screen loading" option
    was activated and the current image had been deleted since the
    last program run, the program switched to full screen mode and
    then behaved erratically. This problem doesn't exist anymore
    in this version, the full screen  mode never being activated
    when no picture is loaded.
  - If the "Get width from image" or "Get height from image" were
    enabled, the window was not always correctly dimensioned and
    the dimensions displayed in the title bar were sometimes wrong
    when no picture was loaded. This minor problem has been taken
    care of in this version.
  - If the "Full screen loading" option is enabled, when loading 
    an image while the advanced option "Restore image parameters"
    is not selected, the program switches to full screen mode,
    which was not the case in the previous versions.
 
 WPanorama.scr (build 1026):
  - A new option allows to state wether you want a single or
    a double gradient.
_________________________________________________________________


10/14/2002  Version 2.2.1

WPanorama.exe (build 1142):
  - From this release, the frame rate changes for every 1 millisecond
    step of the timer instead of only changing for every 10 or 15
    steps in the previous versions.
  - Added the "Get width from image" image dimension option.
  
  - When the specified value for the image width was lower than
    400 pixels, if the "Get width from screen" option was checked,
    the image width was the specified value (instead of the desktop
    width) and the image was displayed in the middle of a window
    which width was that of the desktop. This problem has been taken
    care of in this version.
  - If the "Get height from image" dimension option has been
    checked, the startup splash screen is displayed in the center
    of the image, which was not the case in the previous versions.
    
  WPanorama.scr (build 1024): No change.
_________________________________________________________________

08/23/2002  Version 2.1.2
            
 WPanorama.exe (build 1138):
  - The build number is no longer displayed with the version number.
    It is now briefly visible as a hint when you place the cursor
    on the version number.
  - It is now possible to display the history (this file) from the
    "Help" pulldown menu.
  - The history is now also available in French.
  
 WPanorama.scr (build 1023):
  - The build number is no longer displayed with the version number.
    It is now briefly visible as a hint when you place the cursor
    on the version number.
_________________________________________________________________

08/13/2002
   WPanorama.exe version 2.1.1.1137
   WPanorama.scr version 2.1.1.1022
            
 WPanorama.exe:
  - Connection to the Web home page and check for new version from
    the "Help" pulldown menu.
  - If the screen saver file (WPanorama.scr) has been removed, its
    registry entries are now cleared when WPanorama.exe is launched.
  - Removed the animation sample (C-40.jpg) as it is now possible to
    download it from the Web site.
  
 WPanorama.scr:
  - Check for new version on the Web site from the "Parameters" panel.
_________________________________________________________________

08/09/2002
   WPanorama.exe version 2.0.2.1135
   WPanorama.scr version 2.0.1.1020
            
 WPanorama.exe:
  - A screen saver module is now included in the package.
  - Added the screen resolution and color depth display as well as the
    "Full screen image", "Window" and "Exit" buttons in full screen mode.
    The resolution and color depth display as well as the buttons only
    appear when the control panel is visible.
  - The dimensions of the picture are now displayed in the title bar,
    next to the picture filename.
  - Added two new Questions and Answers in the help.
  - Added the "Export to screen saver" item in the "Files" menu.
  - In the previous versions, when no image was currently loaded, the
    current directory for the "load image" dialog box was the program
    directory. From this release, the current directory is the one from
    where the last image was loaded.
  - In full screen mode, while the control panel is not displayed, the
    cursor is now hidden and no more just put in the lower right corner.
  - The lowest limit for the "Timer" value has been changed from 0 to 1ms
    because a value of 0ms could cause problems such as controls taking
    a very long time to display or splash not disappearing in some cases.
  - It is now possible to load a picture by drag & dropping it on the
    program window.
  - The default value for the option "Image preview when loading" is now
    "Off".
    
  - In the "Questions and answers" section of the help, a part relative
    to Windows 95/98/Me was displayed even when the program was running
    under Windows NT/2000/XP. It has been removed in this release.
  - While a picture was loading, unlike all the other controls, the
    "Context help" button in the toolbar was not disabled. This has been
    corrected in this release.
  - In some rare cases, when showing the toolbar or the control panel if
    the "Get height from image" option was checked, the picture height
    was not computed correctly and the bottom of the picture was clipped.
    This release corrects this problem.
  - When some pictures were loaded on program startup, if the option
    "Get height from image" was checked and the toolbar or/and the control
    panel was visible, a bar of the color of the background showed at the
    bottom of the picture. This has been corrected in this release.
  - With some graphic drivers, when the Display frequency was set to 
    "Lowest" in the "Display modes settings" window, the Full screen display
    didn't use the lowest frequency for the chosen mode, but the current
    frequency. This malfunction has been corrected in this release.
  - If the advanced option "Direct display" was set to "Auto" and the timer
    value was lower than 0.2 sec, the picture disappeared after using
    the "Save image parameters" function when the "Auto scroll" box was not
    checked. This has been corrected in this release.
  - When a graphic mode for full screen different from "Default" was
    selected with a color depth of "Default", the display frequency used in
    full screen mode was the one of the mode for the selected resolution
    with the highest color depth. In this release, the frequency used is
    the one selected for the color depth actually used.
  - When WPanorama is running, it is possible to load a new image by
    drag & dropping the image file icon onto the icon of WPanorama. If the
    "Display modes settings" function had been used in the current session,
    the new image would not load. In this release, it works.
  - The "Loading image, please wait..." message is now displayed when
    loading an image with the drag & drop feature.
  - In some cases, a click on the "maximize" icon would not switch to the
    full screen mode, but only maximize the window while not changing the
    size of the picture. This release corrects this problem.
  - Sometimes, after the screen resolution had been changed by another 
    application, the WPanorama window and the help window would not return
    to their correct sizes or WPanorama would switch to full screen mode.
    This shouldn't happen anymore in this release.
    
 WPanorama.scr: First published release.
_________________________________________________________________

05/20/2002  Version 1.4.2.1112

  - Replaced graphic library G32 version 1.01 by version 1.4.
  - Added the context help
  - Added the "Questions" menu item in the "Help" menu to directly get the
    answers to some questions.
  - It is now possible to display the control panel while in full screen
    mode in order to adjust the scroll parameters. Since the control panel
    displays the frame rate and the zoom, the "Display frame rate and zoom
    in full screen mode" function of the "Configuration - Advanced options"
    menu no longer exists.
  - Added the possibility to toggle the toolbar and the control panel
    together in window mode by right clicking in the picture.
    
  - In the previous versions, if the help was displayed when going in
    full screen mode with a lower resolution than the default one, the
    help window was smaller when returning to the window mode. This has
    been corrected in this version.
_________________________________________________________________

05/04/2002  Version 1.3.1.1102

  - Added the ... in the pull down menus.
  - Added the image file name in the window title.
  - Added the possibility to change screen resolution & color depth for
    the full screen mode.
  - Updated the help.
  - In addition to the scrolling panorama (Shilthorn.jpg) and the mini
    slide show (Swiss landscape.jpg), there is a sample of an animation
    (C-40.jpg).
    
  - In the previous version, with Windows 95/98/Me, if the picture was
    more than 16383 pixels wide (even after having been enlarged), it
    was truncated. In this version, the X and Y size of such a picture
    will be proportionally reduced so that its right part will not be
    lost. This limitation doesn't apply to Windows NT/2000/XP.
_________________________________________________________________

04/06/2002  Version 1.2.15.1093   First published release.
